Bug 195171 - devel/android-tools-adb update to 5.0.0_r7
Summary: devel/android-tools-adb update to 5.0.0_r7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Lo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-19 18:35 UTC by me
Modified: 2019-02-08 04:34 UTC (History)
1 user (show)

See Also:
me: maintainer-feedback? (kevlo)


Attachments
update android-tools-adb to 5.0.0_r7 (1.64 KB, patch)
2014-11-19 18:35 UTC, me
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description me 2014-11-19 18:35:04 UTC
Created attachment 149596 [details]
update android-tools-adb to 5.0.0_r7

I do not know, if setting _FILE_OFFSET_BITS=64 for everything is the correct solution to the build problem that appears otherwise, especially if it applies to 32bit platforms. I assume it is ok from some comments I found about importing libz.

On 10.1-RELEASE/amd64, I was able to build devel/android-tools-adb that way and to use adb sideload to update my volantis from LRX21L to LRX21R, which did not work with android-tools-adb-4.4.4.r1_1.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-19 18:35:04 UTC
Auto-assigned to maintainer kevlo@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2014-11-20 04:22:31 UTC
A commit references this bug:

Author: kevlo
Date: Thu Nov 20 04:22:17 UTC 2014
New revision: 372832
URL: https://svnweb.freebsd.org/changeset/ports/372832

Log:
  Update to 5.0.0_r7.

  PR:	195171
  Submitted by:	me at janh dot de

Changes:
  head/devel/android-tools-adb/Makefile
  head/devel/android-tools-adb/distinfo
  head/devel/android-tools-adb/files/Makefile
Comment 3 Kevin Lo freebsd_committer 2014-11-20 04:25:12 UTC
(In reply to me from comment #0)
> Created attachment 149596 [details]
> update android-tools-adb to 5.0.0_r7
> 
> I do not know, if setting _FILE_OFFSET_BITS=64 for everything is the correct
> solution to the build problem that appears otherwise, especially if it
> applies to 32bit platforms. I assume it is ok from some comments I found
> about importing libz.
> 
> On 10.1-RELEASE/amd64, I was able to build devel/android-tools-adb that way
> and to use adb sideload to update my volantis from LRX21L to LRX21R, which
> did not work with android-tools-adb-4.4.4.r1_1.

Committed, thanks.  I tested it on the 32-bit machine and it worked fine 
for me.